Category : apt-get

Running docker build with below mentioned docker file on jenkins master (linux) is giving me error. How can i resolve this issue ? FROM maven:3.6.3-adoptopenjdk-11 RUN apt-get update -y I checked many posts before writing this and this is what i have tried so far but nothing worked: Replaced "archive.ubuntu.com" with "us.archive.ubuntu.com" in /etc/apt/sources.list Replaced ..

Read more

I try to build my app with docker-compose docker-compose version 1.27.4, build 40524192 Docker version 19.03.6-ce, build 369ce74 Dockerfile: FROM ruby:2.6.4 RUN apt-get update && apt-get install -y –no-install-recommends build-essential libgsl0-dev libqt4-dev libqtwebkit4 libxml2-dev libxslt1-dev default-mysql-client nodejs xvfb and I’m getting error in console: docker-compose up Building app Step 1/7 : FROM ruby:2.6.4 —> 121862ceb25f ..

Read more

In my project, apt-get fails to work from Dockerfile when I launch it with docker-compose. But when I call docker directly with –network option, it does work. Here are configs: docker-compose.yml: version: ‘3’ services: main: build: main network_mode: host main/Dockefile: FROM osrm/osrm-backend:v5.22.0 RUN apt-get update && apt-get install -y wget nodejs npm osmium-tool This fails ..

Read more

I have a very minimalist Dockerfile for my production Django application: FROM python:3.8 ENV PYTHONDONTWRITEBYTECODE 1 ENV PYTHONUNBUFFERED 1 RUN apt-get update && apt-get -y upgrade WORKDIR /app COPY requirements.txt ./ RUN pip install –upgrade pip && pip install -r requirements.txt COPY . . EXPOSE 8000 CMD [ "gunicorn", "api.wsgi:application", "–bind=0.0.0.0" ] Do I need ..

Read more

I’m new to docker and I created a docker image and this is how my docker file looks like. FROM python:3.8.3 RUN apt-get update && apt-get install -y –no-install-recommends postgresql-client && rm -rf /var/lib/apt/lists/* && apt-get install -y gcc libtool-ltdl-devel xmlsec1-1.2.20 xmlsec1-devel-1.2.20 xmlsec1 openssl- 1.2.20 xmlsec1-openssl-devel-1.2.20 && apt-get -y install curl gnupg && curl -sL ..

Read more